Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230128 - Renaming Autotools project causes rebuild error
Summary: Renaming Autotools project causes rebuild error
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse-cdt
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnston
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-26 19:33 UTC by Jeff Johnston
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-19 22:48:24 UTC


Attachments (Terms of Use)

Description Jeff Johnston 2007-02-26 19:33:42 UTC
When an Autotools project gets refactored, the project is moved to a different
location.  This causes problems because the top-level config.status will have
directory information that isn't moved.  Either all the config.status files need
to be changed or else a full reconfiguration should occur on the next build.

Comment 1 Jeff Johnston 2007-03-19 22:48:24 UTC
A fix has been made to add the project name into the configuration settings
file.  If the project name doesn't match the current project name, a full
reconfigure is performed.  Older projects will not be reconfigured the first
time after this fix is applied as no reconfiguration is performed if the project
information is missing, however, the configure settings file will be rewritten
in the new format.


Note You need to log in before you can comment on or make changes to this bug.